Package org.eclipse.ecf.provider.filetransfer.browse

# Class AbstractFileSystemBrowser.DirectoryJob

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.core.internal.jobs.InternalJob
org.eclipse.core.runtime.jobs.Job
org.eclipse.ecf.provider.filetransfer.browse.AbstractFileSystemBrowser.DirectoryJob

All Implemented Interfaces:
  `Comparable<org.eclipse.core.internal.jobs.InternalJob>`, `org.eclipse.core.runtime.IAdaptable`

Enclosing class:
  AbstractFileSystemBrowser

protected class AbstractFileSystemBrowser.DirectoryJob extends org.eclipse.core.runtime.jobs.Job

## Field Summary

### Fields inherited from class org.eclipse.core.runtime.jobs.Job

`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

### Fields inherited from class org.eclipse.core.internal.jobs.InternalJob

`manager`

## Constructor Summary

Constructors
Constructor
Description
`DirectoryJob()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`canceling()`
`IRemoteFileSystemRequest`
`getRequest()`
`protected org.eclipse.core.runtime.IStatus`
`run(org.eclipse.core.runtime.IProgressMonitor monitor)`
`void`
`setRequest(IRemoteFileSystemRequest request)`

### Methods inherited from class org.eclipse.core.runtime.jobs.Job

`addJobChangeListener, belongsTo, cancel, create, create, createSystem, createSystem, done, getJobGroup, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, join, removeJobChangeListener, schedule, schedule, setJobGroup, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

### Methods inherited from class org.eclipse.core.internal.jobs.InternalJob

`compareTo`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DirectoryJob

public DirectoryJob()

## Method Details

### run

protected org.eclipse.core.runtime.IStatus run(org.eclipse.core.runtime.IProgressMonitor monitor)

Specified by:
  `run` in class `org.eclipse.core.runtime.jobs.Job`

### setRequest

public void setRequest(IRemoteFileSystemRequest request)

### getRequest

public IRemoteFileSystemRequest getRequest()

### canceling

protected void canceling()

Overrides:
  `canceling` in class `org.eclipse.core.runtime.jobs.Job`